Windows executable for just released cabal-install- needed

Herbert Valerio Riedel hvr at
Wed May 7 07:34:17 UTC 2014

On 2014-05-05 at 04:15:55 +0200, Mikhail Glushenkov wrote:
> On 4 May 2014 10:57, Johan Tibell <johan.tibell at> wrote:
>> We can also provide a Linux executable, but I don't quite know how
> portable an executable would be if I build it on e.g. some specific version
> of Ubuntu?
> Attaching a Linux exe (32-bit). 12.04 LTS is two years old (older than
> Debian 7, which is used to build Linux binaries for GHC), so the libc
> requirement shouldn't be a problem. If people will complain about it, I can
> use some other Linux distro inside​​ a VM.
> BTW, the Windows exe I sent you was 32-bit, unlike what it says on the
> download page.
>>  cabal-<>

Btw, if you want 32bit+64bit binaries for Ubuntu 12.04LTS in future, you
can steal them of my PPA as well:

For instance, here's how to extract the Linux executable just by using
'wget', 'ar', and 'tar':

  ar x cabal-install-1.20_1.20.0.1-1_amd64.deb data.tar.gz
  tar xvzf data.tar.gz ./opt/cabal/1.20/bin/cabal

(for the 32bit binary, just replace 'amd64' by 'i386')

More information about the cabal-devel mailing list